# Created by pyp2rpm-3.3.5
%global pypi_name pytest-aiohttp
%global srcname pytest_aiohttp

%bcond_without check

Name:           python-%{pypi_name}
Version:        1.1.0
Release:        %mkrel 2
Summary:        Pytest plugin for aiohttp support
Group:          Development/Python
License:        Apache 2.0
URL:            https://github.com/aio-libs/pytest-aiohttp
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
# for tests
%if %{with check}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
BuildRequires:  python3dist(aiohttp)
%endif

%description
The library provides useful fixtures for creation test aiohttp server and client.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The library provides useful fixtures for creation test aiohttp server and client.

%prep
%autosetup -n %{srcname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_aiohttp

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 1.1.0-2.mga10
+ Revision: 2250848
- Mageia 10 Mass Rebuild

* Sat Apr 05 2025 wally <wally> 1.1.0-1.mga10
+ Revision: 2173812
- new version 1.1.0

* Sat Mar 01 2025 daviddavid <daviddavid> 1.0.5-3.mga10
+ Revision: 2154094
- rebuild for python 3.13

* Fri Dec 08 2023 wally <wally> 1.0.5-2.mga10
+ Revision: 2015706
- rebuild for py3.12

* Sun Oct 01 2023 papoteur <papoteur> 1.0.5-1.mga10
+ Revision: 1992832
- new 1.0.5

* Fri Feb 03 2023 papoteur <papoteur> 1.0.4-1.mga9
+ Revision: 1937778
- imported package python-pytest-aiohttp

